#ifndef NAMEPAIR_HPP_INCLUDED
#define NAMEPAIR_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include <string>

namespace Internal
{
    class NamePair : public Object
    {
        public:
            NamePair();
            NamePair(const void* Obj);
            NamePair(const NamePair& N);
            static Class GetClass();

            std::string GetCleanName() const;
            std::string GetName() const;

    };
}

#endif // NAMEPAIR_HPP_INCLUDED
